Skip to main content
GET
/
kit
/
get
Kit - Get
curl --request GET \
  --url https://api.skulabs.com/kit/get \
  --header 'Authorization: Bearer <token>'
[
  {
    "_id": "507f1f77bcf86cd799439011",
    "name": "<string>",
    "active": true,
    "listing_sku": "<string>",
    "fulfillment_sku": "<string>",
    "tags": [
      "507f1f77bcf86cd799439011",
      "507f1f77bcf86cd799439012"
    ],
    "items": [
      {
        "item_id": "<string>",
        "quantity": 123
      }
    ],
    "listings": [
      {
        "store_id": "507f1f77bcf86cd799439011",
        "item_id": "<string>",
        "variant_id": "<string>"
      }
    ],
    "barcodes": [
      "<string>"
    ],
    "cost": 123,
    "retail": 123,
    "wholesale": 123,
    "sale": 123,
    "image": "<string>",
    "images": [
      "<string>"
    ],
    "description": "<string>",
    "notes": "<string>",
    "weight": 123,
    "weight_unit": "oz",
    "lag_time": 123,
    "custom_fields": [
      {
        "field": "<string>",
        "value": "<string>"
      }
    ],
    "calc_cost": 123,
    "calc_retail": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

selector
object
required

Query selector object for filtering results

limit
number

Max results to return

Example:

50

skip
number

Number of results to skip

Example:

0

sort
object

Sort fields object, e.g. { "name": 1 }

fields
object

Projection fields object, e.g. { "name": 1 }

Response

Array of kits

_id
string
required

Unique kit identifier

Example:

"507f1f77bcf86cd799439011"

name
string
required

Kit name

active
boolean

Whether the kit is active

listing_sku
string

Listing SKU

fulfillment_sku
string

Fulfillment SKU

tags
string[]

Array of tag IDs (ObjectId strings referencing the tag collection)

Example:
[
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
]
items
object[]

Component items

listings
object[]

Store listing connections

barcodes
string[]

Additional barcodes

cost
number | null

Kit cost

retail
number | null

Retail price

wholesale
number | null

Wholesale price

sale
number | null

Sale price

image
string | null

Kit image URL

images
string[]

Additional image URLs

description
string | null

Kit description

notes
string | null

Kit notes

weight
number | null

Kit weight

weight_unit
enum<string> | null

Weight unit

Available options:
oz,
lb,
g,
kg
lag_time
number | null

Lag time in days

custom_fields
object[]

Custom fields

calc_cost
number

Calculated cost from component items

calc_retail
number

Calculated retail from component items